# $Revision: 1.2 $, $Date: 2004/05/02 05:34:23 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	SOAP
%define	pnam	Lite-SmartProxy
Summary:	SOAP-Lite-SmartProxy - redirect/forward a SOAP client or request
Summary(pl):	SOAP-Lite-SmartProxy - przekierowywanie/przekazywanie klientw lub da SOAP
Name:		perl-SOAP-Lite-SmartProxy
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dc97f030cbcdae32212e5159792e1c06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# not BRed yet for test
Requires:	perl-SOAP-Lite >= 0.46
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SmartProxy package is intended for use in a multi-server setting
where one or more servers may not be directly accessible to client
side scripts. The SmartProxy package makes request redirection and
forwarding on a per class basis easy. Client scripts need not know
which server is appropriate for a specific request and may make all
requests from a single master server which can be relied upon to
redirect clients to the server currently fulfilling a given request.
The relieves a maintenance burden on the client side. The server may
also redirect clients to a new class name or fully qualified action
URI (methods and arguments are assumed to remain constant however).

%description -l pl
Pakiet SmartProxy jest przeznaczony do uywania w rodowisku
wieloserwerowym, gdzie jeden lub wicej serwerw nie s bezporednio
dostpne dla skryptw od strony klienta. Pakiet SmartProxy w prosty
sposb przekierowuje i przekazuje dania w zalenoci od klasy.
Skrypty klienckie nie musz wiedzie, ktry serwer jest waciwy dla
danego dania i mog wysya wszystkie dania do pojedynczego
serwera gwnego, ktry wykonuje przekierowania klientw do serwera
aktualnie wykonujcego dane danie. Zdejmuje to ciar zarzdzania ze
strony kienckiej. Serwer moe take przekierowywa klientw na now
nazw klasy lub peni URI dla akcji (jednak zakada si, e metody i
argumenty pozostaj stae).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Apache/SmartProxy.pm
%{perl_vendorlib}/SOAP/Transport/HTTPX.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SOAP-Lite-SmartProxy.spec,v $
Revision 1.2  2004/05/02 05:34:23  ankry
- license fix, cosmetics

Revision 1.1  2004/01/07 12:49:26  qboosh
- new
